Subject: [manet] problem with new protocl implementation

From: AHMED SALAH <[email-masked]>
Date: Mon, 30 Apr 2007 04:11:23 -0700 (PDT)

dear all, I am new user to ns 
  Iam using ns-2.1b7a on linux fedora opereating system
  
I have to run new protocol  not included in ns2 so we have modfied some ns files such(cmu-trace.cc, cmu-trace.h, god.cc, god.h, ns-packet.tcl, packet.h, Makefile.in,ll.cc)   
when I use the command "make" to recompil ns  I get the following error message   

cmu-trace.cc: In member function `void CMUTrace::format_rtp(Packet*, int)':
cmu-trace.cc:370: error: 'struct hdr_rtp' has no member named 'pktsendtime_'
make: *** [cmu-trace.o] Error 1
   
  *********************************** the following lins from cmu-trace.ccthat caus the problem*****************************

  void 
  
CMUTrace::format_rtp(Packet *p, int offset)   
{   
struct hdr_cmn *ch = HDR_CMN(p);   
struct hdr_rtp *rh = HDR_RTP(p);   
struct hdr_ip *ih = HDR_IP(p);   
        Node* thisnode = Node::get_node_by_address(src_);   
  
//hacking, needs to change later,   
        int dst = Address::instance().get_nodeaddr(ih->daddr());   
  
if (dst == src_){   
// I just received a cbr data packet   
if (thisnode->energy_model() &&   
    thisnode->energy_model()->powersavingflag()) {   
thisnode->energy_model()->set_node_state(EnergyModel::INROUTE);   
}   
        }   
  
if (newtrace_) {   
sprintf(wrk_ + offset,   
"-Pn cbr -Pi %d -Pf %d -Po %d -Pt %.9f",   
rh->seqno_,   
ch->num_forwards(),   
ch->opt_num_forwards(),   
rh->pktsendtime_);   
} else {   
sprintf(wrk_ + offset,   
"[%d] %d %d",   
rh->seqno_,   
ch->num_forwards(),   
  *********************************************************************
   
  regards ahmad,

---------------------------------
Ahhh...imagining that irresistible "new car" smell?
 Check outnew cars at Yahoo! Autos.

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet